@tailwind base;
@tailwind components;
@tailwind utilities;

/* font */
@font-face {
  font-family: 'inter';
  font-weight: 50;
  src: url('../fonts/inter/InterExtraLight.otf');
}
@font-face {
  font-family: 'inter';
  font-weight: 100;
  src: url('../fonts/inter/InterLight.otf');
}
@font-face {
  font-family: 'inter';
  font-weight: 150;
  src: url('../fonts/inter/InterRegular.otf');
}
@font-face {
  font-family: 'inter';
  font-weight: 200;
  src: url('../fonts/inter/InterMedium.otf');
}
@font-face {
  font-family: 'inter';
  font-weight: 250;
  src: url('../fonts/inter/InterSemiBold.otf');
}
@font-face {
  font-family: 'inter';
  font-weight: 300;
  src: url('../fonts/inter/InterBold.otf');
}
@font-face {
  font-family: 'inter';
  font-weight: 350;
  src: url('../fonts/inter/InterExtraBold.otf');
}
@font-face {
  font-family: 'inter';
  font-weight: 400;
  src: url('../fonts/inter/InterBlack.otf');
}
@font-face {
  font-family: 'inter';
  font-weight: 450;
  src: url('../fonts/inter/InterHeavy.otf');
}

body {
  font-family: inter !important;
  font-weight: 150 !important;
  @apply bg-background-primary-light text-text-primary-light;
}

body.dark {
  font-family: inter !important;
  font-weight: 150 !important;
  @apply bg-background-primary-dark text-text-primary-dark;
}

.form-input {
  @apply bg-background-secondary-light dark:bg-background-secondary-dark outline-none border border-transparent transition-all rounded-[5px] px-4 py-3 block w-full placeholder:text-text-secondary-light placeholder:dark:text-text-secondary-dark text-text-primary-light dark:text-text-primary-dark;
}

.form-label {
    @apply font-medium mb-1.5 block;
}

.form-label span{
    @apply text-rose-500;
}

.form-error {
    @apply text-rose-400 text-sm mt-1;
}